import * as $dara from '@darabonba/typescript';
import { GetIpv4GatewayAttributeResponseBody } from "./GetIpv4gatewayAttributeResponseBody";
export declare class GetIpv4GatewayAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetIpv4GatewayAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
